<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateStatisticsInformationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('statistics_informations', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('value');
            $table->boolean('enable')->default(true);
            $table->timestamps();
        });

        DB::table('statistics_informations')->insert(['name' => '+ Ouvintes por Dia', 'value' => 500]);
        DB::table('statistics_informations')->insert(['name' => 'Estamos Presentes em Todo o Brasil', 'value' => 5770]);
        DB::table('statistics_informations')->insert(['name' => 'Horas Online', 'value' => 24]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('statistics_informations');
    }
}
